Subject: Re: Writing drivers for external IP cores

From: Marco Stornelli <[email-masked]>
Date: Tue, 12 Feb 2008 13:35:08 +0100

A. Nolson ha scritto:
> Hi ,
> 
>  I am going to start developing some IP cores for my virtex fx12 (ML403) 
> and I need to control them through my embedded Linux ( it is already 
> working in the ppc405 ).  I am a bit lost and I need some references for 
> developing drivers. In principle, I will start with something like a 
> GPIO. I think an example like a driver for controlling the push buttons 
> of my Ml403 will be enough. An example IP core for that will also be 
> also very helpful.
> 
>  Any suggestion?
>  
>  Thanks in advance
> 
>  /A
> _______________________________________________
> Linuxppc-embedded mailing list
> [email-masked]
> https://ozlabs.org/mailman/listinfo/linuxppc-embedded
> 
A good book to write device drivers is "Linux device drivers" 3rd
edition, it's free and you can download it freely from Internet